Workout With Friends Stay fit with a little motivation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Properties
Public Member Functions | Static Public Attributes | Static Private Attributes | List of all members
wowf.models.notification.Notification Class Reference
Inheritance diagram for wowf.models.notification.Notification:
Collaboration diagram for wowf.models.notification.Notification:

## Public Member Functions
def | __unicode__
def | add_recipients
Public Member Functions inherited from wowf.models.meta.Base
def | __str__
def | __repr__
def | get_by_id
def | create
def | delete
Public Member Functions inherited from wowf.lib.fulltext.FulltextBase
def | index_type
def | index_id
def | index_data
def | add_index
| Add a fulltext index for this instance.
def | delete_index
| Delete the fulltext index for this instance.
def | update_index
| Update the fulltext index for this instance.

## Static Public Attributes
tuple | id = Column(Integer(unsigned=True), primary_key=True)
tuple | notification_type_id
tuple | created_at = Column(DateTime, nullable=False, default=current_timestamp)
tuple | users
Static Public Attributes inherited from wowf.models.meta.Base
tuple | query = DBSession.query_property()
Static Public Attributes inherited from wowf.lib.fulltext.FulltextBase
list | index_fields = []

## Static Private Attributes
string | __tablename__ = 'notifications'
dictionary | __mapper_args__ = {'polymorphic_on': 'notification_type_id'}

## Detailed Description

Definition at line 13 of file notification.py.

## Member Function Documentation

def wowf.models.notification.Notification.__unicode__ | ( |  | self | ) |

Reimplemented from wowf.models.meta.Base.

Definition at line 27 of file notification.py.

def wowf.models.notification.Notification.add_recipients | ( |  | self,
|  |  | users
| ) |  |

Definition at line 30 of file notification.py.

## Member Data Documentation

dictionary wowf.models.notification.Notification.__mapper_args__ = {'polymorphic_on': 'notification_type_id'}
| static private

Definition at line 16 of file notification.py.

string wowf.models.notification.Notification.__tablename__ = 'notifications'
| static private

Definition at line 15 of file notification.py.

tuple wowf.models.notification.Notification.created_at = Column(DateTime, nullable=False, default=current_timestamp)
| static

Definition at line 21 of file notification.py.

tuple wowf.models.notification.Notification.id = Column(Integer(unsigned=True), primary_key=True)
| static

Definition at line 17 of file notification.py.

tuple wowf.models.notification.Notification.notification_type_id
| static

Initial value:
Column(
Integer(unsigned=True), ForeignKey('notification_types.id', ondelete='cascade'),
nullable=False)

Definition at line 18 of file notification.py.

tuple wowf.models.notification.Notification.users
| static

Initial value:
relationship(
'User', backref=backref('notifications', lazy='dynamic'),
secondary='users_notifications')

Definition at line 23 of file notification.py.

The documentation for this class was generated from the following file:

- wowf/models/notification.py